## org.apache.poi.hwpf.usermodel
Class OfficeDrawingsImpl

    java.lang.Object
      org.apache.poi.hwpf.usermodel.OfficeDrawingsImpl

All Implemented Interfaces:
  OfficeDrawings

    public class OfficeDrawingsImpl

extends java.lang.Object
implements OfficeDrawings

Constructor Summary
`OfficeDrawingsImpl(FSPATable fspaTable, EscherRecordHolder escherRecordHolder, byte[] mainStream)`

Method Summary
`OfficeDrawing` `getOfficeDrawingAt(int characterPosition)`
`java.util.Collection<OfficeDrawing>` `getOfficeDrawings()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OfficeDrawingsImpl

    public OfficeDrawingsImpl(FSPATable fspaTable,
                              EscherRecordHolder escherRecordHolder,
                              byte[] mainStream)

Method Detail

### getOfficeDrawingAt

    public OfficeDrawing getOfficeDrawingAt(int characterPosition)

  Specified by:
    `getOfficeDrawingAt` in interface `OfficeDrawings`

### getOfficeDrawings

    public java.util.Collection<OfficeDrawing> getOfficeDrawings()

  Specified by:
    `getOfficeDrawings` in interface `OfficeDrawings`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.